Cyberduck Mountain Duck CLI

#7004 closed defect (fixed)

Extract Archive error when parentheses are in filename

Reported by: wiserweb Owned by: dkocher
Priority: normal Milestone: 4.3
Component: sftp Version: 4.2.1
Severity: normal Keywords: parentheses, escape characters, extract archive
Cc: Architecture: Intel
Platform:

Description

It appears that the extraction function currently doesn't escape parentheses from the command that is run when extracting a file.

If the file is on a server abc.zip, extract command will work.

If the file is on a server named 'abc(1).zip', the extract will fail as the command that is being run on the remote server encounters the parentheses and thinks it is another command token.

Recommended Fix: Escape all characters from filenames prior to executing the extract command on remote servers.

Temporary workaround: Rename the filename on the server to exclude any parentheses or other *nix characters which require escaping.

Change History (3)

comment:1 Changed on Dec 16, 2012 at 7:19:27 PM by wiserweb

  • Summary changed from Extract Archive error with paratheses are in filename to Extract Archive error when parentheses are in filename

comment:2 Changed on Dec 17, 2012 at 10:29:29 PM by dkocher

  • Milestone set to 4.2.2

Currently only whitespace is escaped.

comment:3 Changed on Dec 19, 2012 at 10:59:52 AM by dkocher

  • Component changed from cloudfront to sftp
  • Resolution set to fixed
  • Status changed from new to closed

In r10670.

Note: See TracTickets for help on using tickets.
swiss made software